apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: {{ awx_name }}
  namespace: {{ namespace }}
rules:
- apiGroups:
{% if k8s_flavor == 'kubernetes' %}
  - policy
  resources:
  - podsecuritypolicies
{% else %}
  - security.openshift.io
  resources:
  - securitycontextconstraints
{% endif %}
  resourceNames:
  - privileged-{{ namespace }}-{{ awx_name }}
  verbs:
  - use
